# Groups

{% hint style="warning" %}

#### **Eligibility for Groups API**

To qualify for group features, the business must meet both of the following requirements:

* [x] Be an [Official Business Account (OBA)](https://developers.facebook.com/docs/whatsapp/official-business-accounts)
  {% endhint %}

## Overview

Groups are invite-only, meaning that potential group participants are ultimately in control of whether they want to join the group or not.

When you create a group, a unique invite link is generated, which you can share with potential group participants. This link provides information about the group, enabling users to make an informed decision about whether they want to join.

Once a user joins the group, a webhook is triggered, signaling that you are now eligible to send messages to the group.

## Limitations

* [x] **Max group participants:** 08
* [x] **Supported message types:** Text, media, text-based templates, and media-based templates
* [x] **Max groups you can create:** 10,000 per business number
* [x] **Max Cloud API business per group:** 01
* [x] Groups are **not available** for *Coexistence users* and phone numbers onboarded to *Multi-solution Conversations*.

{% hint style="danger" %}
The *Calling API* is not supported in groups.
{% endhint %}

Follow below for more features that are **not supported**:

<details>

<summary>Non-supported message types</summary>

* Calling
* Disappearing messages
* View-once
* Auth
* Commerce messages
* Interactive messages

</details>

<details>

<summary>Non-supported actions</summary>

* Admin hide group participant list
* Edit message
* Delete message
* Marking message as read

</details>

## Pricing

The Groups API uses per-message pricing - the same as the messages sent using the Cloud API.

## How to Start Using Groups

{% stepper %}
{% step %}

#### Create a group

Use the Create Group endpoint to create a group, providing a subject and an optional description. Once a group has been successfully created, a `group_lifecycle_update` webhook for successful group creation will be returned. This webhook will include a `invite_link` field with the invite link that you can now share with potential group participants.
{% endstep %}

{% step %}

#### Invite WhatsApp Users to the Group <a href="#step-3--invite-whatsapp-users-to-the-group" id="step-3--invite-whatsapp-users-to-the-group"></a>

Add a group invite link template to the account templates.
{% endstep %}

{% step %}

#### **Send the invite link to potential group participants**

Once the template has been approved, use the template to invite members to the group using the invite link provided in the webhook from Step 01.
{% endstep %}

{% step %}

#### **Notification of when participants join the group**

When a participant joins, a `group_participants_update` webhook for a group participant joining will be triggered.

{% hint style="warning" %}
**Only** if the join\_approval\_mode is set to auto-approve (does not require approval).
{% endhint %}
{% endstep %}

{% step %}

#### Send and receive messages

You can now use [the messaging endpoint to send messages to the group](https://docs.360dialog.com/docs/waba-messaging/group-messaging/messaging-api#send-group-message). The same webhooks will be triggered (sent, delivered, and read). Replies from participants will also trigger webhooks.
{% endstep %}
{% endstepper %}

## Useful links for Group Management

#### Creating template

[#create-a-group-invite-link-template-message](https://docs.360dialog.com/docs/messaging/group-management#create-a-group-invite-link-template-message "mention")

#### **Managing Groups and Members**

* [#create-a-group](https://docs.360dialog.com/docs/messaging/group-management#create-a-group "mention")
* [#groups-with-join-requests](https://docs.360dialog.com/docs/messaging/group-management#groups-with-join-requests "mention")
* [#delete-group](https://docs.360dialog.com/docs/messaging/group-management#delete-group "mention")
* [#remove-group-participants](https://docs.360dialog.com/docs/messaging/group-management#remove-group-participants "mention")

#### Invitation Access

[#get-and-reset-group-invite-link](https://docs.360dialog.com/docs/messaging/group-management#get-and-reset-group-invite-link "mention")


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.360dialog.com/docs/messaging/groups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
